summaryrefslogtreecommitdiffstats
path: root/assets/bin/check-truth
diff options
context:
space:
mode:
authormakefu <root@pigstarter.de>2013-12-30 14:34:38 +0100
committermakefu <root@pigstarter.de>2013-12-30 14:34:38 +0100
commit08aa5e406a1f7b39182e79ea4eb7fabf7d61eaa3 (patch)
tree2db1a54f336167cc3cc3d5f74c77d029fe7e7470 /assets/bin/check-truth
parent133e49566c74f1d21c28536ed31d1514725ed49b (diff)
//Cancer -> //
because that is what painload is all about
Diffstat (limited to 'assets/bin/check-truth')
-rwxr-xr-xassets/bin/check-truth11
1 files changed, 11 insertions, 0 deletions
diff --git a/assets/bin/check-truth b/assets/bin/check-truth
new file mode 100755
index 00000000..064a7d97
--- /dev/null
+++ b/assets/bin/check-truth
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -euf
+HERE=$(dirname $(readlink -f $0))
+DB="$HERE/../../db/truth"
+read LINE
+if (cat $DB;echo $LINE) | $HERE/truth2json - 1>/dev/null ;then
+ echo "success" 1>&2
+ echo "$LINE"
+else
+ echo "you fail" 1>&2
+fi